export const getValue = (data = [], keyNames) => {
  if (keyNames && keyNames.length) {
    const newData = data && data[0] ? data[0] : {}, values = [];

    keyNames.forEach(item => {
      values.push(newData[item.keyName] || '');
    });
    return values;
  }
  return [];
};

export const getData = (data = [], keyNames) => {
  if (keyNames && keyNames.length) {
    const newData = [];
    data.forEach(item => {
      const values = [];
      keyNames.forEach(keyItem => {
        values.push(item[keyItem.keyName] || '');
      });
      newData.push(values);
    })
    return newData;
  }
  return [];
};

export const getBaseTextSize = () => {
  let fontSize = 14;
  var text = document.createElement('div');
  text.innerHTML = 'D';
  text.style.fontSize = '1rem';
  text.style.lineHeight = 1;
  document.body.append(text);
  fontSize = text.offsetHeight;
  document.body.removeChild(text);
  return fontSize;
}